
clear

set more off
 

 

local path " "
local output " "

 

use "`path'varpairfamlong.dta", replace

******************************************************************************************************************************
local controls "i.iscoall incnet yeduc public i.plfs    married age i.nch ykage"
local controls_2 "i.iscoall incnet yeduc public age married i.plfs  ykage "

******************************************************************************************************************************

 
 
mark nomiss
markout nomiss (i.job25 genparent whour iscoall incnet yeduc public job25 plfs  married age nch ykage  )   
 
keep if nomiss==1

sum whour job25 wfi_indexy genparent employ whour iscoall incnet yeduc public job25 plfs  married age nch ykage  if employ==1

 
sum job25

tab jp1
tab jp2
tab jp3

foreach var in job25 iscoall plfs {

tab `var', gen(`var')

}
 
drop job25_new 

 
*New nch variable because 4.nch ommitted in regression models

gen nch_new = .
replace nch_new = 1 if nch==1
replace nch_new = 2 if nch==2
replace nch_new = 3 if nch==3 | nch==4

label var nch_new "Number of children NEW"
label define nchh_new 1"No child" 2"One child" 3"Two and more children"
label val nch_new nchh_new
tab nch_new

tab nch_new, gen(nch_new)

*********************************************************************************************************************************
*SAMPLE Zuschnitt																										
********************************************************************************************************************************* 

*NUR INDEX FÄLLE

keep if wfi_indexy~=.

*SELF-Employes raus

keep if employ~=.


*KURZARBEIT, FREISTELLUNG ETC. wegen Corona raus

tab job29i1
tab job29i2
tab job29i3
tab job29i4


drop if job29i1==1 | job29i2==1 | job29i2==3
 
 
*********************************************************************************************************************************
*ALPHAS																										
********************************************************************************************************************************* 

 
alpha job27i2y_revers job27i3y_revers  job27i5y_revers   job27i1y  job27i4y  job27i6y

alpha job27i2_revers job27i3_revers  job27i5_revers   job27i1  job27i4  job27i6


 
*********************************************************************************************************************************
*SUMMARY TABLES																										
********************************************************************************************************************************* 


*Save estimates by category and produce summary tables
estimate clear
 eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	age ///
	married ///
	ykage	if employ==1 , statistics(mean sd min max) columns(statistics)

eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage	if employ==1 & genparent==1, statistics(mean sd  min max) columns(statistics)

eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage	if employ==1 & genparent==2, statistics(mean sd  min max) columns(statistics)
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage	if employ==1 & genparent==3, statistics(mean sd  min max) columns(statistics)
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage	if employ==1 & genparent==4, statistics(mean sd min max) columns(statistics)

eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	age ///
	married ///
	ykage	if wave==10, statistics(mean sd min max) columns(statistics)
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	age ///
	married ///
	ykage	if wave==11, statistics(mean sd min max) columns(statistics)
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	age ///
	married ///
	ykage	if  wave==12, statistics(mean sd min max) columns(statistics)
	
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	ykage , statistics(mean sd  min max) columns(statistics)

eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	genparent1  ///
	genparent2  ///
	genparent3  ///
	genparent4  ///
	ykage if employ==2, statistics(mean sd  min max) columns(statistics)

eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage if sex==2, statistics(mean sd  min max) columns(statistics)	
	
eststo: estpost tabstat ///
	whour ///
	job25* ///
	wfi_indexy ///
	iscoall* ///
	incnet ///
	yeduc ///
	public ///
	plfs* ///
	age ///
	married ///
	ykage if sex==2 & employ==1, statistics(mean sd  min max) columns(statistics)	
	
*Summary Table: Total - childless men - childless women
esttab est2 est3 est4 est5 using "`output'summary_a.rtf", replace unstack ///
	cells("mean(fmt(%5.2f) label(Mean/ Prop)) sd(fmt(%5.2f) label(SD)) min(fmt(%5.2f) label(Min)) max(fmt(%5.2f) label(Max))")	///
	nonumber varwidth(20) modelwidth(10) ///
	mgroups("Childless men" "Childless women" "Fathers" "Mothers", pattern(1 1 1) )	///
	addnotes("Number of observations of the pooled sample")	///
	order(job25 job251 job252 job253 job254 whour wfi_indexy genparent1 genparent2 genparent3 genparent4 iscoall iscoall1 iscoall2 iscoall3 iscoall4 iscoall5 iscoall6 iscoall7 iscoall8 incnet yeduc public ///
	plfs plfs1 plfs2 plfs3 plfs4 plfs5 plfs6 plfs7 plfs8 plfs9 plfs10 plfs11 plfs12 plfs13 age married ykage)	///
	title("{\b Summary Table a:} Summary for childless men, childless women, fathers and mothers (full time employees)") ///  
	coeflabels(whour "Work hours" /// 
			job25 "Flexible working time arrangements" ///
			job251 "Fixed schedule" ///
			job252 "Employer-driven flexibility" ///
			job253 "Working time autonomy" ///
			job254 "Flexitime" ///
			wfi_indexy "Job commitment index" ///	
			genparent1 "Childless men" ///
			genparent2 "Childless women" ///
			genparent3 "Fathers" ///
			genparent4 "Mothers" ///
			plfs "Labour force status partner" ///
			plfs1 "Education"  ///
			plfs2 "Parental leave" ///
			plfs3 "Homemaker" ///
			plfs4 "Unemployed" ///
			plfs5 "Military service" ///
			plfs6 "Retired" ///
			plfs7 "Other" ///
			plfs8 "Vocational training" ///
			plfs9 "Full-time employment" ///
			plfs10 "Part-time employment" ///
			plfs11 "Marginal employment" ///
			plfs12 "Self-employed" ///
			plfs13 "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			iscoall "Occupational groups" ///
			iscoall1 "Legislators, senior officials, managers" ///
			iscoall2  "Professionals" ///
			iscoall3  "Associate professionals, technicians" ///
			iscoall4  "Clerks" ///
			iscoall5 "Service Workers" ///
			iscoall6 "Craft, etc." ///
			iscoall7 "Plant and machine operators and assemblers" ///
			iscoall8 "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ) 
			
			 
*Summary Table b: Total - Fathers - Mothers 							
esttab est1 est4 est5 using "`output'summary_b.rtf", replace unstack ///
	cells("mean(fmt(%5.2f) label(Mean/ Prop)) sd(fmt(%5.2f) label(SD)) min(fmt(%5.2f) label(Min)) max(fmt(%5.2f) label(Max))")	///
	nonumber varwidth(20) modelwidth(10) ///
	mgroups("Total" "Fathers" "Mothers", pattern(1 1 1) )	///
	addnotes("Number of observations of the pooled sample")	///
	order(job25 job251 job252 job253 job254 whour wfi_indexy iscoall iscoall1 iscoall2 iscoall3 iscoall4 iscoall5 iscoall6 iscoall7 iscoall8 incnet yeduc public ///
	plfs plfs plfs1 plfs2 plfs3 plfs4 plfs5 plfs6 plfs7 plfs8 plfs9 plfs10 plfs11 plfs12 plfs13 age married ykage)	///
	title("{\b Summary Table b:} Summary for full time employees, fathers and mothers") ///  
	coeflabels(whour "Work hours" /// 
			job25 "Flexible working time arrangements" ///
			job251 "Fixed schedule" ///
			job252 "Employer-driven flexibility" ///
			job253 "Working time autonomy" ///
			job254 "Flexitime" ///
			wfi_indexy "Job commitment index" ///	
			genparent1 "Childless men" ///
			genparent2 "Childless women" ///
			genparent3 "Fathers" ///
			genparent4 "Mothers" ///
			plfs "Labour force status partner" ///
			plfs1 "Education"  ///
			plfs2 "Parental leave" ///
			plfs3 "Homemaker" ///
			plfs4 "Unemployed" ///
			plfs5 "Military service" ///
			plfs6 "Retired" ///
			plfs7 "Other" ///
			plfs8 "Vocational training" ///
			plfs9 "Full-time employment" ///
			plfs10 "Part-time employment" ///
			plfs11 "Marginal employment" ///
			plfs12 "Self-employed" ///
			plfs13 "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			iscoall "Occupational groups" ///
			iscoall1 "Legislators, senior officials, managers" ///
			iscoall2  "Professionals" ///
			iscoall3  "Associate professionals, technicians" ///
			iscoall4  "Clerks" ///
			iscoall5 "Service Workers" ///
			iscoall6 "Craft, etc." ///
			iscoall7 "Plant and machine operators and assemblers" ///
			iscoall8 "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ) 

			
			
*Summary Table c: Total - Wave 10 - Wave 11 - Wave 12 			
esttab est6 est7 est8 using "`output'summary_c.rtf", replace unstack ///
	cells("mean(fmt(%5.2f) label(Mean/ Prop)) sd(fmt(%5.2f) label(SD)) min(fmt(%5.2f) label(Min)) max(fmt(%5.2f) label(Max))")	///
	nonumber varwidth(20) modelwidth(10) ///
	mgroups("Wave 10" "Wave 11" "Wave 12", pattern(1 1 1 1) )	///
	addnotes("Number of observations of the pooled sample")	///
	order(job25 job251 job252 job253 job254 whour wfi_indexy iscoall iscoall1 iscoall2 iscoall3 iscoall4 iscoall5 iscoall6 iscoall7 iscoall8 incnet yeduc public ///
	plfs plfs plfs1 plfs2 plfs3 plfs4 plfs5 plfs6 plfs7 plfs8 plfs9 plfs10 plfs11 plfs12 plfs13 age married ykage)	///
	title("{\b Summary Table c:} Summary for full time employees in all waves and waves 10-12") ///  
	coeflabels(whour "Work hours" /// 
			job25 "Flexible working time arrangements" ///
			job251 "Fixed schedule" ///
			job252 "Employer-driven flexibility" ///
			job253 "Working time autonomy" ///
			job254 "Flexitime" ///
			wfi_indexy "Job commitment index" ///	
			genparent1 "Childless men" ///
			genparent2 "Childless women" ///
			genparent3 "Fathers" ///
			genparent4 "Mothers" ///
			plfs "Labour force status partner" ///
			plfs1 "Education"  ///
			plfs2 "Parental leave" ///
			plfs3 "Homemaker" ///
			plfs4 "Unemployed" ///
			plfs5 "Military service" ///
			plfs6	"Retired" ///
			plfs7 "Other" ///
			plfs8 "Vocational training" ///
			plfs9 "Full-time employment" ///
			plfs10 "Part-time employment" ///
			plfs11 "Marginal employment" ///
			plfs12 "Self-employed" ///
			plfs13 "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			iscoall "Occupational groups" ///
			iscoall1 "Legislators, senior officials, managers" ///
			iscoall2  "Professionals" ///
			iscoall3  "Associate professionals, technicians" ///
			iscoall4  "Clerks" ///
			iscoall5 "Service Workers" ///
			iscoall6 "Craft, etc." ///
			iscoall7 "Plant and machine operators and assemblers" ///
			iscoall8 "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ) 
			
*Summary Table c: Total - Full-time - Part-time		
esttab est9 est1 est10 using "`output'summary_d.rtf", replace unstack ///
	cells("mean(fmt(%5.2f) label(Mean/ Prop)) sd(fmt(%5.2f) label(SD)) min(fmt(%5.2f) label(Min)) max(fmt(%5.2f) label(Max))")	///
	nonumber varwidth(20) modelwidth(10) ///
	mgroups("Total" "Full-time" "Part-time", pattern(1 1 1 1) )	///
	addnotes("Number of observations of the pooled sample")	///
	order(job25 job251 job252 job253 job254 whour wfi_indexy iscoall iscoall1 iscoall2 iscoall3 iscoall4 iscoall5 iscoall6 iscoall7 iscoall8 incnet yeduc public ///
	plfs plfs plfs1 plfs2 plfs3 plfs4 plfs5 plfs6 plfs7 plfs8 plfs9 plfs10 plfs11 plfs12 plfs13 age married ykage)	///
	title("{\b Summary Table c:} Summary for full time employees in all waves and waves 10-12") ///  
	coeflabels(whour "Work hours" /// 
			job25 "Flexible working time arrangements" ///
			job251 "Fixed schedule" ///
			job252 "Employer-driven flexibility" ///
			job253 "Working time autonomy" ///
			job254 "Flexitime" ///
			wfi_indexy "Job commitment index" ///	
			genparent1 "Childless men" ///
			genparent2 "Childless women" ///
			genparent3 "Fathers" ///
			genparent4 "Mothers" ///
			plfs "Labour force status partner" ///
			plfs1 "Education"  ///
			plfs2 "Parental leave" ///
			plfs3 "Homemaker" ///
			plfs4 "Unemployed" ///
			plfs5 "Military service" ///
			plfs6	"Retired" ///
			plfs7 "Other" ///
			plfs8 "Vocational training" ///
			plfs9 "Full-time employment" ///
			plfs10 "Part-time employment" ///
			plfs11 "Marginal employment" ///
			plfs12 "Self-employed" ///
			plfs13 "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			iscoall "Occupational groups" ///
			iscoall1 "Legislators, senior officials, managers" ///
			iscoall2  "Professionals" ///
			iscoall3  "Associate professionals, technicians" ///
			iscoall4  "Clerks" ///
			iscoall5 "Service Workers" ///
			iscoall6 "Craft, etc." ///
			iscoall7 "Plant and machine operators and assemblers" ///
			iscoall8 "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ) 
			
			
		 
 *Summary Table c: Total - Full-time - Part-time		
esttab est11 est12 using "`output'summary_s2.rtf", replace unstack ///
	cells("mean(fmt(%5.2f) label(Mean/ Prop)) sd(fmt(%5.2f) label(SD)) min(fmt(%5.2f) label(Min)) max(fmt(%5.2f) label(Max))")	///
	nonumber varwidth(20) modelwidth(10) ///
	mgroups("Total" "Full-time", pattern(1 1 1 1) )	///
	addnotes("Number of observations of the pooled sample")	///
	order(job25 job251 job252 job253 job254 whour wfi_indexy iscoall iscoall1 iscoall2 iscoall3 iscoall4 iscoall5 iscoall6 iscoall7 iscoall8 incnet yeduc public ///
	plfs plfs plfs1 plfs2 plfs3 plfs4 plfs5 plfs6 plfs7 plfs8 plfs9 plfs10 plfs11 plfs12 plfs13 age married ykage)	///
	title("{\b Summary Table 2:} Summary for all women and women in full-time") ///  
	coeflabels(whour "Work hours" /// 
			job25 "Flexible working time arrangements" ///
			job251 "Fixed schedule" ///
			job252 "Employer-driven flexibility" ///
			job253 "Working time autonomy" ///
			job254 "Flexitime" ///
			wfi_indexy "Job commitment index" ///	
			plfs "Labour force status partner" ///
			plfs1 "Education"  ///
			plfs2 "Parental leave" ///
			plfs3 "Homemaker" ///
			plfs4 "Unemployed" ///
			plfs5 "Military service" ///
			plfs6	"Retired" ///
			plfs7 "Other" ///
			plfs8 "Vocational training" ///
			plfs9 "Full-time employment" ///
			plfs10 "Part-time employment" ///
			plfs11 "Marginal employment" ///
			plfs12 "Self-employed" ///
			plfs13 "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			iscoall "Occupational groups" ///
			iscoall1 "Legislators, senior officials, managers" ///
			iscoall2  "Professionals" ///
			iscoall3  "Associate professionals, technicians" ///
			iscoall4  "Clerks" ///
			iscoall5 "Service Workers" ///
			iscoall6 "Craft, etc." ///
			iscoall7 "Plant and machine operators and assemblers" ///
			iscoall8 "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ) 
			
		 
********************************************************************************************************************************* 
*FLEX WORK and JOB COMMITMENT 
********************************************************************************************************************************* 

 
tab job25 employ  										 
gen job25_employ = .									 
replace job25_employ = 1 if job25==1 & employ==1  /*Full-time*/
replace job25_employ  = 2 if job25==2 & employ==1
replace job25_employ  = 3 if job25==3 & employ ==1
replace job25_employ  = 4 if job25==4 & employ==1

replace job25_employ = 5 if job25==1 & employ ==2 /*Part-time*/
replace job25_employ  = 6 if job25==2 & employ ==2
replace job25_employ  = 7 if job25==3 & employ ==2
replace job25_employ  = 8 if job25==4 & employ ==2

tab job25_employ employ 
tab job25_employ job25

reg whour i.job25_employ wfi_indexy      ,  vce(cluster pid) 
eststo reg1a

reg whour i.job25_employ##c.wfi_indexy     ,  vce(cluster pid) 
eststo reg1b
 
reg whour i.job25_employ##c.wfi_indexy    i.genparent  `controls_2'     ,  vce(cluster pid) 
eststo reg1c


esttab reg1a reg1b reg1c  using "`output'reg1.rtf", replace ///
	  mtitles("Model A" "Model B" "Model C") ///
	title("{\b Table 2:} Linear regression results for work hours with working time arrangements") ///
coeflabels(1.job25_employ "Fixed schedule, full-time" ///
			2.job25_employ "Employer-driven flexibility, full-time" ///
			3.job25_employ "Working time autonomy, full-time" ///
			4.job25_employ "Flexitime, full-time" ///
			5.job25_employ "Fixed schedule, part-time" ///
			6.job25_employ "Employer-driven flexibility, part-time" ///
			7.job25_employ "Working time autonomy, part-time" ///
			8.job25_employ "Flexitime, part-time" ///
			wfi_indexy "Job commitment"  ///
			1.job25_employ#c.wfi_indexy "Fixed schedule, full-time*Job commitment" ///
			2.job25_employ#c.wfi_indexy "Employer-driven flexibility, full-time*Job commitment" ///
			3.job25_employ#c.wfi_indexy "Working time autonomy, full-time*Job commitment" ///
			4.job25_employ#c.wfi_indexy "Flexitime, full-time*Job commitment" ///
			5.job25_employ#c.wfi_indexy "Fixed schedule, part-time*Job commitment" ///
			6.job25_employ#c.wfi_indexy "Employer-driven flexibility, part-time*Job commitment" ///
			7.job25_employ#c.wfi_indexy "Working time autonomy, part-time*Job commitment" ///
			8.job25_employ#c.wfi_indexy "Flexitime, part-time*Job commitment" ///
			1.genparent "Childless men" ///
			2.genparent "Childless women" ///
			3.genparent "Fathers" ///
			4.genparent "Mothers" ///
			1.plfs "Education"  ///
			2.plfs "Parental leave" ///
			3.plfs "Homemaker" ///
			4.plfs "Unemployed" ///
			5.plfs "Military service" ///
			6.plfs	"Retired" ///
			7.plfs "Other" ///
			8.plfs "Vocational training" ///
			9.plfs "Full-time employment" ///
			10.plfs "Part-time employment" ///
			11.plfs "Marginal employment" ///
			12.plfs "Self-employed" ///
			13.plfs "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			1.nch "No child" ///
			2.nch "One child" ///
			3.nch "Two children" ///
			4.nch "Three and more children" ///
			1.iscoall "Legislators, senior officials, managers" ///
			2.iscoall  "Professionals" ///
			3.iscoall  "Associate professionals, technicians" ///
			4.iscoall  "Clerks" ///
			5.iscoall "Service Workers" ///
			6.iscoall "Craft, etc." ///
			7.iscoall "Plant and machine operators and assemblers" ///
			8.iscoall "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ///
			_cons "Constant" ) 
			
			
  
		local count = 2
foreach x of numlist 1 2   {
	display in red `count'
	  if `count' == 2 {
		estimates restore reg1b
		local file = 1
		local title = "Unadjusted"
	  } 

 	if `count' == 3 {
		estimates restore reg1c
		local file = 1
		local title = "Full model"  
	} 
 
	eststo regression

	foreach w of numlist 1/8 {

	  estpost margins, at(job25_employ=(`w') wfi_indexy=(0 0.25 0.5 0.75 1))
	  count if e(sample) & job25_employ == `w'
	  estadd scalar Nwave = r(N)
	  local N`w' = r(N)

	  eststo job25_employ`w'

	  estimates restore regression
	}
	
	
	local save = "unadj"
	local label = `"coeflabels(1._at = "1" 2._at = "2" 3._at = "3" 4._at = "4", labsize(*1.3))"'
	local size = 90
	local rep = "replace"
		if `count' == 3 {
		local save = "adj"
		local title = "Full model"
		local label =  `"coeflabels(1._at = `"" " " ""'	2._at = " " 3._at = " " 4._at = " "	)"'
		local size = 90 /*68*/
		local rep = "append"
		}
	 
	 

	
	esttab job25_employ1 job25_employ2 job25_employ3 job25_employ4 job25_employ5 job25_employ6 job25_employ7 job25_employ8 ///
	using "`output'margins__reg1.rtf", `rep' ///
		b(2) ci compress label ///
		s(Nwave, label("N") fmt(%6.0f)) ///
		title("Work hours with flexible working time arrangements and work/family commitment and gendered parental status, `title'") ///
		mtitles("Fixed full" "Employer full" "Autonomy full" "Flexitime full" "Fixed part" "Employer part" "Autonomy part" "Flexitime part") ///
		coeflabel(1._at "0" ///
				2._at "0.25" ///
				3._at "0.5" ///
				4._at "0.75" ///
				5._at "1") varwidth(20) modelwidth(6)
	
 
 
 if `count' == 3 {
		coefplot ///
			(job25_employ1, label("Fixed") mcolor(erose) ciopts(color(erose))) /// 				
			(job25_employ2 , label("Employer") mcolor(lavender) ciopts(color(lavender))) ///
			(job25_employ3 , label("Autonomy") mcolor(pink) ciopts(color(pink))) ///
			(job25_employ4 , label("Flextime") mcolor(cranberry) ciopts(color(cranberry))) ///
			, ///
		  coeflabel(1._at = "0" ///
					2._at = "0.25" ///
					3._at = "0.5" ///
					4._at = "0.75" ///
					5._at = "1") ///
		  order(5._at 4._at 3._at 2._at  1._at )  ///
		  title("Full-time") ytitle("") xtitle("Work hours") xlabel(15(5)55) ///
		  legend(cols(1) region(lcolor(white)) position(9)) ///
		  graphregion(color(white)) scale(*.9)  name(moderation_sex_full`save', replace)
		graph export "`output'margins__reg1_full`save'.png", replace
	}

	 
	  
 if `count' == 3 {
		coefplot ///
			(job25_employ5, label("Fixed") mcolor(erose) ciopts(color(erose))) /// 				
			(job25_employ6 , label("Employer") mcolor(lavender) ciopts(color(lavender))) ///
			(job25_employ7 , label("Autonomy") mcolor(pink) ciopts(color(pink))) ///
			(job25_employ8 , label("Flextime") mcolor(cranberry) ciopts(color(cranberry))) ///
			, ///
		  coeflabel(1._at = "0" ///
					2._at = "0.25" ///
					3._at = "0.5" ///
					4._at = "0.75" ///
					5._at = "1") ///
		  order(5._at 4._at 3._at 2._at  1._at )  ///
		  title("Part-time") ytitle("Job/family commitment") xtitle("Work hours") xlabel(15(5)55) ///
		  legend(cols(1) region(lcolor(white)) position(9)) ///
		  graphregion(color(white)) scale(*.9)    name(moderation_sex_part`save', replace)
		graph export "`output'margins__reg1_part`save'.png", replace
	}
	
	 
	local ++count
}
  
 
grc1leg moderation_sex_partadj moderation_sex_fulladj, legend(moderation_sex_fulladj) graphregion(color(white))  position(6) row(1)   iscale(1)
graph export "`output'\moderation_reg1_comb_coefplot.png", replace
eststo clear

 
 
  
********************************************************************************************************************************* 
*FLEX WORK and JOB COMMITMENT 
********************************************************************************************************************************* 
 
reg whour i.job25 wfi_indexy  if employ==1  ,  vce(cluster pid)    
eststo reg2a

reg whour i.job25##c.wfi_indexy  if employ==1  ,  vce(cluster pid)    
eststo reg2b

reg whour i.job25##c.wfi_indexy i.genparent `controls_2'  if employ==1  ,  vce(cluster pid) 
eststo reg2c

quietly: reg whour i.job25##c.wfi_indexy i.genparent `controls_2'  if employ==1  ,  vce(cluster pid) 
margins, at(wfi_indexy=(0 0.25 0.5 0.75 1) job25=(1 2 3 4)) post

/*
test _b[5._at]= _b[10._at]
test _b[5._at]= _b[15._at]

test _b[20._at]= _b[10._at]
test _b[20._at]= _b[15._at] 

test _b[3._at]= _b[13._at]
test _b[3._at]= _b[8._at]

test _b[18._at]= _b[13._at]
test _b[18._at]= _b[8._at]  */


esttab reg2a reg2b reg2c  using "`output'reg2.rtf", replace ///
	  mtitles("Model A" "Model B" "Model C") ///  
	title("{\b Table 1:} Linear regression results for work hours, full-time employees") ///
	coeflabels(1.job25 "Fixed schedule" ///
			2.job25 "Employer-driven flexibility" ///
			3.job25 "Working time autonomy" ///
			4.job25 "Flexitime" ///
			wfi_indexy "Job commitment"  ///
			1.job25#c.wfi_indexy "Fixed schedule*Job commitment" /// 					 
			2.job25#c.wfi_indexy "Employer-driven flexibility*Job commitment" ///
			3.job25#c.wfi_indexy "Working time autonomy*Job commitment" ///
			4.job25#c.wfi_indexy "Flexitime*Job commitment" ///
			1.plfs "Education"  ///
			2.plfs "Parental leave" ///
			3.plfs "Homemaker" ///
			4.plfs "Unemployed" ///
			5.plfs "Military service" ///
			6.plfs "Retired" ///
			7.plfs "Other" ///
			8.plfs "Vocational training" ///
			9.plfs "Full-time employment" ///
			10.plfs "Part-time employment" ///
			11.plfs "Marginal employment" ///
			12.plfs "Self-employed" ///
			13.plfs "Other" ///
			public "Public sector"  ///
			1.genparent "Childless men" ///
			2.genparent "Childless women" ///
			3.genparent "Fathers" ///
			4.genparent "Mothers" ///
			age "Age" ///
			married "Married" ///
			1.nch "No child" ///
			2.nch "One child" ///
			3.nch "Two children" ///
			4.nch "Three and more children" ///
			1.iscoall "Legislators, senior officials, managers" ///
			2.iscoall  "Professionals" ///
			3.iscoall  "Associate professionals, technicians" ///
			4.iscoall  "Clerks" ///
			5.iscoall "Service Workers" ///
			6.iscoall "Craft, etc." ///
			7.iscoall "Plant and machine operators and assemblers" ///
			8.iscoall "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ///
			_cons "Constant") 
 
	local count = 2
foreach x of numlist 1 2  {
	display in red `count'
	  if `count' == 2 {
		estimates restore reg2b
		local file = 1
		local title = "Unadjusted"
	  } 
 	if `count' == 3 {
		estimates restore reg2c
		local file = 2
		local title = "Full model"  
	} 
 
	eststo regression

	foreach w of numlist 1/4 {

	  estpost margins, at(job25=(`w') wfi_indexy=(0 0.25 0.5 0.75 1))
	  count if e(sample) & job25 == `w'
	  estadd scalar Nwave = r(N)
	  local N`w' = r(N)

	  eststo job25`w'

	  estimates restore regression
	}
	
	
	local save = "unadj"
	local label = `"coeflabels(1._at = "1" 2._at = "2" 3._at = "3" 4._at = "4", labsize(*1.3))"'
	local size = 90
	local rep = "replace"
	if `count' == 3 {
		local save = "adj"
		local title = "Full model"
		local label =  `"coeflabels(1._at = `"" " " ""'	2._at = " " 3._at = " " 4._at = " "	)"'
		local size = 90 /*68*/
		local rep = "append"
		}
	 
	 
*TABLE A3
	esttab job251 job252 job253 job254 using "`output'margins_reg2.rtf", `rep' /// 
		b(2) ci compress label ///
		nonumbers mtitles("Fixed schedules" "Employer-driven" "Working time autonomy" "Flexitime") ///
		s(Nwave, label("N") fmt(%6.0f)) ///
		title("Work hours with flexible working time arrangements and job commitment, `title'") ///
		coeflabel(1._at "0" ///
				2._at "0.25" ///
				3._at "0.5" ///
				4._at "0.75" ///
				5._at "1") varwidth(20) modelwidth(6)
	 
  
if `count' == 3 {
		coefplot ///
			(job251, label("Fixed") mcolor(erose) ciopts(color(erose))) /// 				
			(job252 , label("Employer") mcolor(lavender) ciopts(color(lavender))) ///
			(job253 , label("Autonomy") mcolor(pink) ciopts(color(pink))) ///
			(job254, label("Flextime") mcolor(cranberry) ciopts(color(cranberry))) ///
			, ///
		  coeflabel(1._at = "0" ///
					2._at = "0.25" ///
					3._at = "0.5" ///
					4._at = "0.75" ///
					5._at = "1") ///
		  order(5._at 4._at 3._at 2._at  1._at )  ///
		  title("") ytitle("Job/family commitment") xtitle("Work hours")  ///
		  legend(cols(1) region(lcolor(white)) position(9)) ///
		  graphregion(color(white)) scale(*.9)   name(moderation_unisex`save', replace)  
		graph export "`output'margins_reg2`save'.png", replace
	}
	 
	local ++count
}

  

**********************************************************************************************
*Flex work and Gendered Parental Status
********************************************************************************************** 

reg whour i.job25 i.genparent  if employ==1  ,  vce(cluster pid)    
eststo reg3a

reg whour i.job25##i.genparent  if employ==1  ,  vce(cluster pid)    
eststo reg3b

reg whour i.job25##i.genparent wfi_indexy `controls_2'  if employ==1  ,  vce(cluster pid) 
eststo reg3c
 
  
margins, at(job25=(1 2 3 4) genparent=(1 2 3 4)) post 

/*test _b[5._at]= _b[6._at]

test _b[5._at]= _b[8._at]
test _b[7._at]= _b[8._at]

test _b[9._at]= _b[12._at]
test _b[10._at]= _b[12._at]
test _b[11._at]= _b[12._at]
 
 

test _b[1._at]= _b[9._at]	
test _b[1._at]= _b[5._at]

test _b[3._at]= _b[11._at]	
test _b[3._at]= _b[7._at]
 */
 
esttab reg3a reg3b reg3c using "`output'reg3.rtf", replace ///
	  mtitles("Model A" "Model B" "Model C") ///
	title("{\b Table 1:} Linear regression results for work hours") ///
	coeflabels(1.job25 "Fixed schedule" ///
			2.job25 "Employer-driven flexibility" ///
			3.job25 "Working time autonomy" ///
			4.job25 "Flexitime" ///
			1.job25#1.genparent "Fixed schedule*Childless men" ///
			2.job25#1.genparent "Employer-driven flexibility*Childless men" ///
			3.job25#1.genparent "Working time autonomy*Childless men" ///
			4.job25#1.genparent "Flexitime*Childless men" ///
			1.job25#2.genparent "Fixed schedule*Childless women" ///
			2.job25#2.genparent "Employer-driven flexibility*Childless women" ///
			3.job25#2.genparent "Working time autonomy*Childless women" ///
			4.job25#2.genparent "Flexitime*Childless women" ///
			1.job25#3.genparent "Fixed schedule*Fathers" ///
			2.job25#3.genparent "Employer-driven flexibility*Fathers" ///
			3.job25#3.genparent "Working time autonomy*Fathers" ///
			4.job25#3.genparent "Flexitime*Fathers" ///
			1.job25#4.genparent "Fixed schedule*Mothers" ///
			2.job25#4.genparent "Employer-driven flexibility*Mothers" ///
			3.job25#4.genparent "Working time autonomy*Mothers" ///
			4.job25#4.genparent "Flexitime*Mothers" ///
			wfi_indexy "Job commitment"  ///
			1.plfs "Education"  ///
			2.plfs "Parental leave" ///
			3.plfs "Homemaker" ///
			4.plfs "Unemployed" ///
			5.plfs "Military service" ///
			6.plfs "Retired" ///
			7.plfs "Other" ///
			8.plfs "Vocational training" ///
			9.plfs "Full-time employment" ///
			10.plfs "Part-time employment" ///
			11.plfs "Marginal employment" ///
			12.plfs "Self-employed" ///
			13.plfs "Other" ///
			public "Public sector"  ///
			1.genparent "Childless men" ///
			2.genparent "Childless women" ///
			3.genparent "Fathers" ///
			4.genparent "Mothers" ///
			age "Age" ///
			married "Married" ///
			1.nch "No child" ///
			2.nch "One child" ///
			3.nch "Two children" ///
			4.nch "Three and more children" ///
			1.iscoall "Legislators, senior officials, managers" ///
			2.iscoall  "Professionals" ///
			3.iscoall  "Associate professionals, technicians" ///
			4.iscoall  "Clerks" ///
			5.iscoall "Service Workers" ///
			6.iscoall "Craft, etc." ///
			7.iscoall "Plant and machine operators and assemblers" ///
			8.iscoall "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ///
			_cons "Constant") 
			

 
	local count = 2
foreach x of numlist 1 2  {
	display in red `count'
	  if `count' == 2 {
		estimates restore reg3b
		local file = 1
		local title = "Unadjusted"
	  } 
 	if `count' == 3 {
		estimates restore reg3c
		local file = 2
		local title = "Full model"  
	} 
 
	eststo regression

	foreach w of numlist 1/4 {

	  estpost margins, at(job25=(`w') genparent=(1 2 3 4))
	  count if e(sample) & job25 == `w'
	  estadd scalar Nwave = r(N)
	  local N`w' = r(N)

	  eststo job25`w'

	  estimates restore regression
	}
	
	
	local save = "unadj"
	local label = `"coeflabels(1._at = "1" 2._at = "2" 3._at = "3" 4._at = "4", labsize(*1.3))"'
	local size = 90
	local rep = "replace"
	if `count' == 3 {
		local save = "adj"
		local title = "Full model"
		local label =  `"coeflabels(1._at = `"" " " ""'	2._at = " " 3._at = " " 4._at = " "	)"'
		local size = 90 /*68*/
		local rep = "append"
		}
	 
	 

	esttab job251 job252 job253 job254 using "`output'margins_reg3.rtf", `rep' /// 
		b(2) ci compress label ///
		nonumbers mtitles("Fixed schedules" "Employer-driven" "Working time autonomy" "Flexitime") ///
		s(Nwave, label("N") fmt(%6.0f)) ///
		title("Work hours with flexible working time arrangements for gendered parental status, `title'") ///
		coeflabel(1._at "Childless men" ///
				2._at "Childless women" ///
				3._at "Fathers" ///
				4._at "Mothers") varwidth(20) modelwidth(6)
 
if `count' == 3 {
		coefplot ///
			(job251, label("Fixed") mcolor(erose) ciopts(color(erose))) /// 				
			(job252 , label("Employer") mcolor(lavender) ciopts(color(lavender))) ///
			(job253 , label("Autonomy") mcolor(pink) ciopts(color(pink))) ///
			(job254, label("Flextime") mcolor(cranberry) ciopts(color(cranberry))) ///
			, ///
		  coeflabel(1._at = "Childless men" ///
					2._at = "Childless women" ///
					3._at = "Fathers" ///
					4._at = "Mothers" ///
					5._at = "1") ///
		  order( 1._at 2._at 3._at 4._at 5._at  )  ///
		  title("") ytitle("") xtitle("Work hours")  ///
		  legend(cols(1) region(lcolor(white)) position(9)) ///
		  graphregion(color(white)) scale(*.9)   name(moderation_unisex`save', replace)  
		graph export "`output'margins_reg3`save'.png", replace
	}
	  
	local ++count
}
 
********************************************************************************************************************************* 
*WORk commitment and GENDERED PARENTAL STATUS
********************************************************************************************************************************* 
 
reg whour i.job25##i.genparent##c.wfi_indexy  if employ==1  ,  vce(cluster pid)    
eststo reg4a

 
reg whour i.job25##genparent##c.wfi_indexy   `controls_2'  if employ==1  ,  vce(cluster pid) 
eststo reg4b

/* 
quietly: reg whour i.job25##genparent##c.wfi_indexy   `controls_2'  if employ==1  ,  vce(cluster pid) 
margins, at(job25=(1 2 3 4) genparent=(1 2 3 4) wfi_indexy=(0 0.25 0.5 0.75 1)) post

test _b[4._at]= _b[24._at]
test _b[5._at]= _b[25._at]
 
test _b[9._at]= _b[29._at]
test _b[14._at]= _b[34._at]
test _b[19._at]= _b[39._at]
 

test _b[42._at]= _b[2._at]
test _b[47._at]= _b[7._at]
test _b[53._at]= _b[12._at]
test _b[57._at]= _b[17._at]

 

test _b[54._at]= _b[49._at]
test _b[54._at]= _b[59._at]


test _b[55._at]= _b[45._at]
test _b[55._at]= _b[50._at]
test _b[55._at]= _b[60._at]

test _b[54._at]= _b[44._at]
test _b[54._at]= _b[49._at]
test _b[54._at]= _b[59._at]

 */
esttab reg4a reg4b   using "`output'reg4.rtf", replace ///
	  mtitles("Model A" "Model B") ///
	title("{\b Table 2:} Linear regression results for work hours with working time arrangements and job commitment for gendered parental status") ///
coeflabels(1.job25 "Fixed schedule" ///
			2.job25 "Employer-driven flexibility" ///
			3.job25 "Working time autonomy" ///
			4.job25 "Flexitime" ///
			wfi_indexy "Job commitment"  ///
			1.job25#c.wfi_indexy "Fixed schedule*Job commitment" ///
			2.job25#c.wfi_indexy "Employer-driven flexibility*Job commitment" ///
			3.job25#c.wfi_indexy "Working time autonomy*Job commitment" ///
			4.job25#c.wfi_indexy "Flexitime*Job commitment" ///
			1.genparent "Childless men" ///
			2.genparent "Childless women" ///
			3.genparent "Fathers" ///
			4.genparent "Mothers" ///
			1.job25#1.genparent "Fixed schedule*Childless men" ///
			2.job25#1.genparent "Employer-driven flexibility*Childless men" ///
			3.job25#1.genparent "Working time autonomy*Childless men" ///
			4.job25#1.genparent "Flexitime*Childless men" ///
			1.job25#2.genparent "Fixed schedule*Childless women" ///
			2.job25#2.genparent "Employer-driven flexibility*Childless women" ///
			3.job25#2.genparent "Working time autonomy*Childless women" ///
			4.job25#2.genparent "Flexitime*Childless women" ///
			1.job25#3.genparent "Fixed schedule*Fathers" ///
			2.job25#3.genparent "Employer-driven flexibility*Fathers" ///
			3.job25#3.genparent "Working time autonomy*Fathers" ///
			4.job25#3.genparent "Flexitime*Fathers" ///
			1.job25#4.genparent "Fixed schedule*Mothers" ///
			2.job25#4.genparent "Employer-driven flexibility*Mothers" ///
			3.job25#4.genparent "Working time autonomy*Mothers" ///
			4.job25#4.genparent "Flexitime*Mothers" ///
			1.genparent#c.wfi_indexy "Childless men*Job commitment" ///
			2.genparent#c.wfi_indexy "Childless women*Job commitment" ///
			3.genparent#c.wfi_indexy "Fathers*Job commitment" ///
			4.genparent#c.wfi_indexy "Mothers*Job commitment" ///
			1.job25#1.genparent#c.wfi_indexy "Fixed schedule*Childless men*Job commitment" ///
			2.job25#1.genparent#c.wfi_indexy "Employer-driven flexibility*Childless men*Job commitment" ///
			3.job25#1.genparent#c.wfi_indexy "Working time autonomy*Childless men*Job commitment" ///
			4.job25#1.genparent#c.wfi_indexy "Flexitime*Childless men*Job commitment" ///
			1.job25#2.genparent#c.wfi_indexy "Fixed schedule*Childless women*Job commitment" ///
			2.job25#2.genparent#c.wfi_indexy "Employer-driven flexibility*Childless women*Job commitment" ///
			3.job25#2.genparent#c.wfi_indexy "Working time autonomy*Childless women*Job commitment" ///
			4.job25#2.genparent#c.wfi_indexy "Flexitime*Childless women*Job commitment" ///
			1.job25#3.genparent#c.wfi_indexy "Fixed schedule*Fathers*Job commitment" ///
			2.job25#3.genparent#c.wfi_indexy "Employer-driven flexibility*Fathers*Job commitment" ///
			3.job25#3.genparent#c.wfi_indexy "Working time autonomy*Fathers*Job commitment" ///
			4.job25#3.genparent#c.wfi_indexy "Flexitime*Fathers*Job commitment" ///
			1.job25#4.genparent#c.wfi_indexy "Fixed schedule*Mothers*Job commitment" ///
			2.job25#4.genparent#c.wfi_indexy "Employer-driven flexibility*Mothers*Job commitment" ///
			3.job25#4.genparent#c.wfi_indexy "Working time autonomy*Mothers*Job commitment" ///
			4.job25#4.genparent#c.wfi_indexy "Flexitime*Mothers*Job commitment" ///
			1.plfs "Education"  ///
			2.plfs "Parental leave" ///
			3.plfs "Homemaker" ///
			4.plfs "Unemployed" ///
			5.plfs "Military service" ///
			6.plfs	"Retired" ///
			7.plfs "Other" ///
			8.plfs "Vocational training" ///
			9.plfs "Full-time employment" ///
			10.plfs "Part-time employment" ///
			11.plfs "Marginal employment" ///
			12.plfs "Self-employed" ///
			13.plfs "Other" ///
			public "Public sector"  ///
			age "Age" ///
			married "Married" ///
			1.nch "No child" ///
			2.nch "One child" ///
			3.nch "Two children" ///
			4.nch "Three and more children" ///
			1.iscoall "Legislators, senior officials, managers" ///
			2.iscoall  "Professionals" ///
			3.iscoall  "Associate professionals, technicians" ///
			4.iscoall  "Clerks" ///
			5.iscoall "Service Workers" ///
			6.iscoall "Craft, etc." ///
			7.iscoall "Plant and machine operators and assemblers" ///
			8.iscoall "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ///
			_cons "Constant" ) 
			
			
 		local count = 2
foreach x of numlist 1 2  {
	display in red `count'
	  if `count' == 2 {
		estimates restore reg4a
		local file = 1
		local title = "Unadjusted"
	  } 
 	if `count' == 3 {
		estimates restore reg4b 
		local file = 2
		local title = "Full model"  
	} 
 
	eststo regression

	
		foreach w of numlist 1/4 {

	  estpost margins, at(job25=(`w') genparent=(1) wfi_indexy=(0 0.25 0.5 0.75 1)) /*and for the other figures change genparent=(1) to genparent=(2)/genparent=(3)/genparent=(4)  */ 
	  count if e(sample) & job25 == `w'
	  estadd scalar Nwave = r(N)
	  local N`w' = r(N)

	  eststo job25`w'

	  estimates restore regression
	}
	
	
	
	local save = "unadj"
	local label = `"coeflabels(1._at = "1" 2._at = "2" 3._at = "3" 4._at = "4", labsize(*1.3))"'
	local size = 90
	local rep = "replace"
	if `count' == 3 {
		local save = "adj"
		local title = "Full model"
		local label =  `"coeflabels(1._at = `"" " " ""'	2._at = " " 3._at = " " 4._at = " "	)"'
		local size = 90 /*68*/
		local rep = "append"
		}
	 

	esttab job251 job252 job253 job254 using "`output'margins_reg4.rtf", `rep' /// 
		b(2) ci compress label ///
		nonumbers mtitles("Fixed schedules" "Employer-driven" "Working time autonomy" "Flexitime") ///
		s(Nwave, label("N") fmt(%6.0f)) ///
		title("Work hours with flexible working time arrangements for gendered parental status, `title'") ///
		coeflabel(1._at "Childless men*0" ///
				2._at "Childless men*0.25" ///
				3._at "Childless men*0.5" ///
				4._at "Childless men*0.75" ///
				5._at "Childless men*1" ///  
				6._at "Childless men*0" ///
				7._at "Childless women*0.25" ///
				8._at "Childless women*0.5" ///
				9._at "Childless women*0.75" ///
				10._at "Childless women*1" ///  
				11._at "Fathers*0" ///
				12._at "Fathers*0.25" ///
				13._at "Fathers*0.5" ///
				14._at "Fathers*0.75" ///
				15._at "Fathers*1" ///  
				16._at "Mothers*0" ///
				17._at "Mothers*0.25" ///
				18._at "Mothers*0.5" ///
				19._at "Mothers*0.75" ///
				20._at "Mothers*1" ) varwidth(20) modelwidth(6)

  
if `count' == 3 {						/*and for the other figures change title() and name() for genparent=(1) to genparent=(2)/genparent=(3)/genparent=(4)  */
		coefplot ///
			(job251, label("Fixed") mcolor(erose) ciopts(color(erose))) /// 				
			(job252 , label("Employer") mcolor(lavender) ciopts(color(lavender))) ///
			(job253 , label("Autonomy") mcolor(pink) ciopts(color(pink))) ///
			(job254, label("Flextime") mcolor(cranberry) ciopts(color(cranberry))) ///
			, ///
		  coeflabel(1._at = "0" ///
					2._at = "0.25" ///
					3._at = "0.5" ///
					4._at = "0.75" ///
					5._at = "1") ///
		  order(5._at 4._at 3._at 2._at  1._at )  ///
		  title("Childless men") ytitle("Job/family commitment") xtitle("Work hours") xlabel(30(5)65) /// /*for the other figures change title() and name() for genparent=(1) to genparent=(2)/genparent=(3)/genparent=(4)  */
		  legend(cols(1) region(lcolor(white)) position(9)) ///
		  graphregion(color(white)) scale(*.9)   name(moderation_reg4_1`save', replace)  
		graph export "`output'margins_reg4_1`save'.png", replace

	}
	   
	local ++count
	
	
}

grc1leg moderation_reg4_1adj moderation_reg4_2adj moderation_reg4_3adj moderation_reg4_4adj, legend(moderation_reg4_1adj)   position(9)  graphregion(color(white)) row(2)   
graph export "`output'\moderation_reg4_comb_coefplot.png", replace
eststo clear
 

 
 
********************************************************************************************************************************* 
*APPENDIX
********************************************************************************************************************************* 


********************************************************************************************************************************* 
*Flex work and gendered parental status: Part-time
********************************************************************************************************************************* 

reg whour i.job25 i.genparent  i.employ   ,  vce(cluster pid)    
eststo reg00a

reg whour i.job25##i.genparent##i.employ   ,  vce(cluster pid)    
eststo reg00b

reg whour i.job25##i.genparent##i.employ `controls_2'    ,  vce(cluster pid) 
eststo reg00c
 

esttab reg00a reg00b reg00c using "`output'reg_append.rtf", replace ///
	  mtitles("Model A" "Model B" "Model C") ///
	title("{\b Table 1:} Linear regression results for work hours") ///
	coeflabels(1.job25 "Fixed schedule" ///
			2.job25 "Employer-driven flexibility" ///
			3.job25 "Working time autonomy" ///
			4.job25 "Flexitime" ///
			1.employ "Full-time" ///
			2.employ "Part-time" ///
			1.job25#1.genparent "Fixed schedule*Childless men" ///  
			2.job25#1.genparent "Employer-driven flexibility*Childless men" ///
			3.job25#1.genparent "Working time autonomy*Childless men" ///
			4.job25#1.genparent "Flexitime*Childless men" ///
			1.job25#2.genparent "Fixed schedule*Childless women" ///
			2.job25#2.genparent "Employer-driven flexibility*Childless women" ///
			3.job25#2.genparent "Working time autonomy*Childless women" ///
			4.job25#2.genparent "Flexitime*Childless women" ///
			1.job25#3.genparent "Fixed schedule*Fathers" ///
			2.job25#3.genparent "Employer-driven flexibility*Fathers" ///
			3.job25#3.genparent "Working time autonomy*Fathers" ///
			4.job25#3.genparent "Flexitime*Fathers" ///
			1.job25#4.genparent "Fixed schedule*Mothers" ///
			2.job25#4.genparent "Employer-driven flexibility*Mothers" ///
			3.job25#4.genparent "Working time autonomy*Mothers" ///
			4.job25#4.genparent "Flexitime*Mothers" ///
			1.job25#1.employ "Fixed schedule*Full-time" ///
			1.job25#2.employ "Fixed schedule*Part-time" ///
			2.job25#1.employ "Employer-driven flexibility*Full-time" ///
			2.job25#2.employ "Employer-driven flexibility*Part-time" ///
			3.job25#1.employ "Working time autonomy*Full-time" ///
			3.job25#2.employ "Working time autonomy*Part-time" ///
			4.job25#1.employ "Flexitime*Full-time" ///
			4.job25#2.employ "Flexitime*Part-time" ///
			1.genparent#1.employ "Childless men*Full-time" ///
			2.genparent#1.employ "Childless women*Full-time" ///
			3.genparent#1.employ "Fathers*Full-time" ///
			4.genparent#1.employ "Mothers*Full-time" ///
			1.genparent#2.employ "Childless men*Part-time" ///
			2.genparent#2.employ "Childless women*Part-time" ///
			3.genparent#2.employ "Fathers*Part-time" ///
			4.genparent#2.employ "Mothers*Part-time" ///
			1.job25#1.genparent#1.employ "Fixed schedule*Childless men*Full-time" ///              /Full-time*/
			2.job25#1.genparent#1.employ "Employer-driven flexibility*Childless men*Full-time" ///
			3.job25#1.genparent#1.employ "Working time autonomy*Childless men*Full-time" ///
			4.job25#1.genparent#1.employ "Flexitime*Childless men*Full-time" ///
			1.job25#2.genparent#1.employ "Fixed schedule*Childless women*Full-time" ///
			2.job25#2.genparent#1.employ "Employer-driven flexibility*Childless women*Full-time" ///
			3.job25#2.genparent#1.employ "Working time autonomy*Childless women*Full-time" ///
			4.job25#2.genparent#1.employ "Flexitime*Childless women*Full-time" ///
			1.job25#3.genparent#1.employ "Fixed schedule*Fathers*Full-time" ///
			2.job25#3.genparent#1.employ "Employer-driven flexibility*Fathers*Full-time" ///
			3.job25#3.genparent#1.employ "Working time autonomy*Fathers*Full-time" ///
			4.job25#3.genparent#1.employ "Flexitime*Fathers*Full-time" ///
			1.job25#4.genparent#1.employ "Fixed schedule*Mothers*Full-time" ///
			2.job25#4.genparent#1.employ "Employer-driven flexibility*Mothers*Full-time" ///
			3.job25#4.genparent#1.employ "Working time autonomy*Mothers*Full-time" ///
			4.job25#4.genparent#1.employ "Flexitime*Mothers*Full-time" ///
			1.job25#1.genparent#2.employ "Fixed schedule*Childless men*Part-time" ///             /Part-time*/
			2.job25#1.genparent#2.employ "Employer-driven flexibility*Childless men*Part-time" ///
			3.job25#1.genparent#2.employ "Working time autonomy*Childless men*Part-time" ///
			4.job25#1.genparent#2.employ "Flexitime*Childless men*Part-time" ///
			1.job25#2.genparent#2.employ "Fixed schedule*Childless women*Part-time" ///
			2.job25#2.genparent#2.employ "Employer-driven flexibility*Childless women*Part-time" ///
			3.job25#2.genparent#2.employ "Working time autonomy*Childless women*Part-time" ///
			4.job25#2.genparent#2.employ "Flexitime*Childless women*Part-time" ///
			1.job25#3.genparent#2.employ "Fixed schedule*Fathers*Part-time" ///
			2.job25#3.genparent#2.employ "Employer-driven flexibility*Fathers*Part-time" ///
			3.job25#3.genparent#2.employ "Working time autonomy*Fathers*Part-time" ///
			4.job25#3.genparent#2.employ "Flexitime*Fathers*Part-time" ///
			1.job25#4.genparent#2.employ "Fixed schedule*Mothers*Part-time" ///
			2.job25#4.genparent#2.employ "Employer-driven flexibility*Mothers*Part-time" ///
			3.job25#4.genparent#2.employ "Working time autonomy*Mothers*Part-time" ///
			4.job25#4.genparent#2.employ "Flexitime*Mothers*Part-time" ///
			1.plfs "Education"  ///
			2.plfs "Parental leave" ///
			3.plfs "Homemaker" ///
			4.plfs "Unemployed" ///
			5.plfs "Military service" ///
			6.plfs "Retired" ///
			7.plfs "Other" ///
			8.plfs "Vocational training" ///
			9.plfs "Full-time employment" ///
			10.plfs "Part-time employment" ///
			11.plfs "Marginal employment" ///
			12.plfs "Self-employed" ///
			13.plfs "Other" ///
			public "Public sector"  ///
			1.genparent "Childless men" ///
			2.genparent "Childless women" ///
			3.genparent "Fathers" ///
			4.genparent "Mothers" ///
			age "Age" ///
			married "Married" ///
			1.nch "No child" ///
			2.nch "One child" ///
			3.nch "Two children" ///
			4.nch "Three and more children" ///
			1.iscoall "Legislators, senior officials, managers" ///
			2.iscoall  "Professionals" ///
			3.iscoall  "Associate professionals, technicians" ///
			4.iscoall  "Clerks" ///
			5.iscoall "Service Workers" ///
			6.iscoall "Craft, etc." ///
			7.iscoall "Plant and machine operators and assemblers" ///
			8.iscoall "Elementary workers" ///
			incnet "Net personal income" /// 
			yeduc "Years of education" ///
			ykage "Age of youngest child" ///
			_cons "Constant") 
			

		
 
 
 


 